Stow job endpoints
This part of the API is in Beta status. For details, see the API release lifecycle documentation.
Requested Stow Job entity
StowJob
Creation date of the entity, auto-generated if not provided
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Non-human-readable reference to the facility where the stow job is executed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fAuto-generated, unique primary identifier of the stow job
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fService-generated last modification date of the entity
Priority level of the job
Readable identifier for display purposes, not unique.
The status of the stowJob
The time by which the job should be completed. Use for prioritization and scheduling
2026-06-17T12:00:00.000ZThe version of the entity, used for optimistic locking mechanisms
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/stowjobs/{stowJobId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"priority": 1,
"shortId": "text",
"status": "OPEN",
"stowLineItems": [
{
"article": {
"titleLocalized": {},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"measurementUnitKey": "text",
"scannableCodes": [
"text"
],
"tenantArticleId": "MY_ARTICLE_ID",
"title": "text"
},
"customAttributes": {},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"reasons": [
{
"reasonLocalized": {},
"tenantReasonId": "MY_REASON_ID"
}
],
"stowTo": [
{
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"scannableCodes": [
"text"
],
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedAt": "2026-06-17T12:00:00.000Z",
"stowedQuantity": 1,
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
],
"takeFrom": {
"quantity": 1,
"scannableCodes": [
"text"
],
"stockInformation": {
"properties": {
"expiry": "text"
},
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
]
},
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenAt": "2026-06-17T12:00:00.000Z",
"takenQuantity": 1,
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
}
],
"targetTime": "2026-06-17T12:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
25Example: 25Paginated result containing the matching Stow Job entities
StowJobPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/stowjobs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stowJobs": [
{
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"priority": 1,
"shortId": "text",
"status": "OPEN",
"stowLineItems": [
{
"article": {
"titleLocalized": {},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"measurementUnitKey": "text",
"scannableCodes": [
"text"
],
"tenantArticleId": "MY_ARTICLE_ID",
"title": "text"
},
"customAttributes": {},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"reasons": [
{
"reasonLocalized": {},
"tenantReasonId": "MY_REASON_ID"
}
],
"stowTo": [
{
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"scannableCodes": [
"text"
],
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedAt": "2026-06-17T12:00:00.000Z",
"stowedQuantity": 1,
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
],
"takeFrom": {
"quantity": 1,
"scannableCodes": [
"text"
],
"stockInformation": {
"properties": {
"expiry": "text"
},
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
]
},
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenAt": "2026-06-17T12:00:00.000Z",
"takenQuantity": 1,
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
}
],
"targetTime": "2026-06-17T12:00:00.000Z",
"version": 1
}
],
"total": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
StowJobForCreation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Non-human-readable reference to the facility where the stow job is executed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fPriority level of the job
Readable identifier for display purposes, not unique.
The status of the stowJob
The time by which the job should be completed. Use for prioritization and scheduling
2026-06-17T12:00:00.000ZCreated Stow Job entity
StowJob
Creation date of the entity, auto-generated if not provided
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Non-human-readable reference to the facility where the stow job is executed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fAuto-generated, unique primary identifier of the stow job
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fService-generated last modification date of the entity
Priority level of the job
Readable identifier for display purposes, not unique.
The status of the stowJob
The time by which the job should be completed. Use for prioritization and scheduling
2026-06-17T12:00:00.000ZThe version of the entity, used for optimistic locking mechanisms
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The syntax of the request content was correct, but it was unable to process the contained instructions, possibly due to semantic errors.
POST /api/stowjobs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1314
{
"assignedUsers": [
{
"userId": "text"
}
],
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"priority": 1,
"shortId": "text",
"status": "OPEN",
"stowLineItems": [
{
"article": {
"titleLocalized": {},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"measurementUnitKey": "text",
"scannableCodes": [
"text"
],
"tenantArticleId": "MY_ARTICLE_ID",
"title": "text"
},
"customAttributes": {},
"reasons": [
{
"reasonLocalized": {},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantReasonId": "MY_REASON_ID"
}
],
"stowTo": [
{
"quantity": 1,
"scannableCodes": [
"text"
],
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedAt": "2026-06-17T12:00:00.000Z",
"stowedQuantity": 1,
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
],
"takeFrom": {
"quantity": 1,
"scannableCodes": [
"text"
],
"stockInformation": {
"properties": {
"expiry": "text"
},
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
]
},
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenAt": "2026-06-17T12:00:00.000Z",
"takenQuantity": 1,
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
}
],
"targetTime": "2026-06-17T12:00:00.000Z"
}{
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"priority": 1,
"shortId": "text",
"status": "OPEN",
"stowLineItems": [
{
"article": {
"titleLocalized": {},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"measurementUnitKey": "text",
"scannableCodes": [
"text"
],
"tenantArticleId": "MY_ARTICLE_ID",
"title": "text"
},
"customAttributes": {},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"reasons": [
{
"reasonLocalized": {},
"tenantReasonId": "MY_REASON_ID"
}
],
"stowTo": [
{
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"scannableCodes": [
"text"
],
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedAt": "2026-06-17T12:00:00.000Z",
"stowedQuantity": 1,
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
],
"takeFrom": {
"quantity": 1,
"scannableCodes": [
"text"
],
"stockInformation": {
"properties": {
"expiry": "text"
},
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
]
},
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenAt": "2026-06-17T12:00:00.000Z",
"takenQuantity": 1,
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
}
],
"targetTime": "2026-06-17T12:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for StowJob
StowJobSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StowJobPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stowjobs/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6079
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
}
],
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
}
],
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
}
],
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
}
],
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
},
"size": 10,
"sort": [
{
"created": "ASC",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"targetTime": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stowJobs": [
{
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"priority": 1,
"shortId": "text",
"status": "OPEN",
"stowLineItems": [
{
"article": {
"titleLocalized": {},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"measurementUnitKey": "text",
"scannableCodes": [
"text"
],
"tenantArticleId": "MY_ARTICLE_ID",
"title": "text"
},
"customAttributes": {},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"reasons": [
{
"reasonLocalized": {},
"tenantReasonId": "MY_REASON_ID"
}
],
"stowTo": [
{
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"scannableCodes": [
"text"
],
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedAt": "2026-06-17T12:00:00.000Z",
"stowedQuantity": 1,
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
],
"takeFrom": {
"quantity": 1,
"scannableCodes": [
"text"
],
"stockInformation": {
"properties": {
"expiry": "text"
},
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
]
},
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenAt": "2026-06-17T12:00:00.000Z",
"takenQuantity": 1,
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": "STOCK"
}
}
],
"targetTime": "2026-06-17T12:00:00.000Z",
"version": 1
}
],
"total": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
StowJobForPatch
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Information for user about which job should be started first
The version of the document to be used in optimistic locking mechanisms
1Stow Job successfully patched
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
A version conflict occurred.
The syntax of the request content was correct, but it was unable to process the contained instructions, possibly due to semantic errors.
PATCH /api/stowjobs/{stowJobId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 124
{
"assignedUsers": [
{
"userId": "text"
}
],
"customAttributes": {},
"priority": 1,
"targetTime": "2026-01-01T00:00:00.000Z",
"version": 1
}No content
This part of the API is in Beta status. For details, see the API release lifecycle documentation.
Actions successfully performed
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
The syntax of the request content was correct, but it was unable to process the contained instructions, possibly due to semantic errors.
POST /api/stowjobs/{stowJobId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"name": "START_STOW_JOB",
"version": 1
}No content
Last updated
Was this helpful?

